fn main() {
    let image_width = 256;
    let image_height = 256;

    println!("P3\n{image_width} {image_height}\n255\n");

    for i in (0..image_height).rev() {
        eprint!("\rScanlines remaining: {i:5}");
        for j in 0..image_width {
            let r = j as f32 / (image_width - 1) as f32;
            let g = i as f32 / (image_height - 1) as f32;
            let b = 0.25;

            let ir = (255.999 * r) as u32;
            let ig = (255.999 * g) as u32;
            let ib = (255.999 * b) as u32;

            println!("{ir} {ig} {ib}");
        }
    }
    eprintln!("\nDone!");
}
